Upgrade your existing hosting account to a higher plan level, for example, from 'Start' to 'Business'. This call requires the `accountId` from a previous retrieval of your hosting accounts (e.g., via GET /api/hosting-accounts). After the upgrade, an `invoiceId` is returned that you can use to pay the invoice.
path.accountId product_id from GET /api/hosting-accounts invoiceId → data.invoiceId orderId → data.orderId productId → data.upgradedTo.productId accountId integer · min: 1 required
Example: 20000 Unique account identifier
Accept Example Content-Type Example productId string required
· Example: 1912 data object required data.invoiceId string
· Example: 50619 data.message string required
· Example: Successfully upgraded to Start plan Human-readable message.
data.orderId integer required
· Example: 33784 data.orderNum integer required
· Example: 1941404912 data.redirectUrl string required
· Example: /billing data.total string | number · enum required
· Example: -645.43 -273.90 -645.43 data.upgradedTo object required data.upgradedTo.name string required
· Example: Start data.upgradedTo.productId string required
· Example: 1912 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/hosting/{accountId}/upgrade curl -X POST "https://cloud.hostup.se/api/hosting/20000/upgrade" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"productId": "1912"
}' {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"message": "Successfully upgraded to Start plan",
"orderId": 33784,
"orderNum": 1941404912,
"total": "-645.43",
"redirectUrl": "/billing",
"upgradedTo": {
"productId": "1912",
"name": "Start"
}
}
} {
"productId": "1912"
}